extern unsigned long end;
static void *sbrk_base = &end;

/* MM-wide initialization */
int mm_init() {
	return 0;
}

register char *stack_ptr asm ("r15");

/* Simple sbrk function */
void* sbrk(unsigned long increment) {
	void *base = sbrk_base;

	increment = (increment + 3) & ~3;
	sbrk_base += increment;

	printf("sbrk:%d:%p:%p\n",increment,sbrk_base,stack_ptr);

	if ( sbrk_base >= /*stack_ptr*/ (char*)(0x8d000000-65536)) {
		panic("out of memory; about to run over kernel stack");
	}
	
	return base;
}


